package com.sunxung.factoring.entity.weekWorkPlan;

import java.util.List;

/**
 * @Description:周例会中本周、上周工作计划数据展示辅助类
 * @author:wuduanli
 * @e-mail:1912942707@qq.com
 * @date:2018年1月9日 下午3:33:49
 */
public class WeeklyMeetingThisLastWeekPlan {

    /** 上周开始日期 **/
    private String startTime;
    /** 上周结束日期 **/
    private String endTime;
    /** 上周对应周数 **/
    private Integer weekth;
    /** 上周对应年份，存在跨年的情况，主要根据周一的年份判断是哪年的周 **/
    private Integer year;
    /** 本周工作计划 **/
    private List<WeekWorkPlan> thisWeekWorkPlanList;
    /** 上周工作计划 **/
    private List<WeekWorkPlan> lastWeekWorkPlanList;

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public Integer getWeekth() {
        return weekth;
    }

    public void setWeekth(Integer weekth) {
        this.weekth = weekth;
    }

    public List<WeekWorkPlan> getThisWeekWorkPlanList() {
        return thisWeekWorkPlanList;
    }

    public void setThisWeekWorkPlanList(List<WeekWorkPlan> thisWeekWorkPlanList) {
        this.thisWeekWorkPlanList = thisWeekWorkPlanList;
    }

    public List<WeekWorkPlan> getLastWeekWorkPlanList() {
        return lastWeekWorkPlanList;
    }

    public void setLastWeekWorkPlanList(List<WeekWorkPlan> lastWeekWorkPlanList) {
        this.lastWeekWorkPlanList = lastWeekWorkPlanList;
    }

    public Integer getYear() {
        return year;
    }

    public void setYear(Integer year) {
        this.year = year;
    }
}
